Bug 140221 - Formula Editor width should use all the available space
Summary: Formula Editor width should use all the available space
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Rafael Lima
URL:
Whiteboard: target:7.2.0 target:7.1.1
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2021-02-06 21:34 UTC by Rafael Lima
Modified: 2021-02-24 21:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Formula Editor - BEFORE (43.67 KB, image/png)
2021-02-06 21:35 UTC, Rafael Lima
Details
Formula Editor - AFTER (51.40 KB, image/png)
2021-02-06 21:35 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-02-06 21:34:30 UTC
Currently LO Math's Formula Editor uses only about half the available space for formula editing. This does not provide a good experience when formulas get too long, which is common for matrices and multi-line formulas. See the image "Formula Editor - BEFORE".

I believe it would be better if the Formula Editor could use all the available width, as shown in "Formula Editor - AFTER".
Comment 1 Rafael Lima 2021-02-06 21:35:03 UTC
Created attachment 169541 [details]
Formula Editor - BEFORE
Comment 2 Rafael Lima 2021-02-06 21:35:30 UTC
Created attachment 169542 [details]
Formula Editor - AFTER
Comment 3 Commit Notification 2021-02-15 07:59:52 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/737112d7c37300661972778a63a4e93fa196a395

Resolves tdf#140221 auto-adjust Formula Editor width

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-02-15 08:00:05 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/f89860807baaa901629ce2a814b7a6c994318fe5

Resolves tdf#140221 auto-adjust Formula Editor width

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-02-24 14:22:00 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-1":

https://git.libreoffice.org/core/commit/1f5dfe691540d69665d417fd8c454d4980e9c1d6

Resolves tdf#140221 auto-adjust Formula Editor width

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.